HI
I’ve got a polysurface that I’ve created by doing:
Brep[] brep = Brep.JoinBreps(breplist, 0.1);
How could I then explode this?
HI
I’ve got a polysurface that I’ve created by doing:
Brep[] brep = Brep.JoinBreps(breplist, 0.1);
How could I then explode this?
Hi Hannah,
Can not help you with c# syntax, but basically you need to duplicate the faces of your new joined brep. In python it would look like so:
import Rhino
joinedBreps = Rhino.Geometry.Brep.JoinBreps(brepsList, 0.01)
joinedBrep = joinedBreps[0]
faces = joinedBrep.Faces
singleSurfaces = []
for f in faces:
singleSurfaces.append(f.DuplicateFace(False))
Ah! Great. Thanks very much.